<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgLimitTransferSchemeSwitchingFinalCheckMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgLimitTransferSchemeSwitchingFinalCheck">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="switchingId" column="switching_id" jdbcType="BIGINT"/>
            <result property="lineId" column="line_id" jdbcType="VARCHAR"/>
            <result property="lineName" column="line_name" jdbcType="VARCHAR"/>
            <result property="oppositeLineId" column="opposite_line_id" jdbcType="VARCHAR"/>
            <result property="oppositeLineName" column="opposite_line_name" jdbcType="VARCHAR"/>
            <result property="allowMaxCurrent" column="allow_max_current" jdbcType="VARCHAR"/>
            <result property="estimateMaxCurrent" column="estimate_max_current" jdbcType="VARCHAR"/>
            <result property="estimateMaxLoadFactor" column="estimate_max_load_factor" jdbcType="VARCHAR"/>
            <result property="loadFactorThreshold" column="load_factor_threshold" jdbcType="VARCHAR"/>
            <result property="loadFactorCheck" column="load_factor_check" jdbcType="VARCHAR"/>
            <result property="switchCurrentCheck" column="switch_current_check" jdbcType="VARCHAR"/>
            <result property="segmentCurrentCheck" column="segment_current_check" jdbcType="VARCHAR"/>
            <result property="creator" column="creator" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

</mapper>
